Subject: Re: PATCH WAS( Re: [ANNOUNCE] iproute2 v2.6.25

From: Patrick McHardy <[email-masked]>
Date: Mon, 21 Apr 2008 13:50:00 +0200

jamal wrote:
> On Sat, 2008-19-04 at 18:45 +0200, Patrick McHardy wrote:
> 
>> I imagine something like this:
>>
>> # nl-link-dump env eth0
>>
>> LINK_NAME=eth0
>> LINK_IFINDEX=2
>> LINK_LLADDR=.....
>> LINK_OPERSTATE=...
>>
>> and so on. You could then do something like this:
>>
>> export $(nl-link-dump env eth0)
>>
>> and use $LINK_... in your scripts.
>>
> 
> Clever. That would certainly help in portability; i will take a closer
> look on what you did for libnl and see how well it applies for iproute2.

I just noticed the libnl example code already supports this:

$ ./nl-link-dump env dev eth0
LINK_NAME=eth0
LINK_IFINDEX=2
LINK_FAMILY=unspec
LINK_TYPE=ether
...

I wouldn't duplicate it for iproute, but rather complete the
libnl support (I think some object types are still missing
ENV dump format support) and tell people to use that for
scripting.